//https://www.youtube.com/BitaBit

//https://www.bitabittecnologia.com.br

//Exemplo exibe no LCD o que chega pela serial.

#include <LiquidCrystal.h>

int rs = 12; //Pino Register select
int e = 11;  //Pino Enable
int d4 = 5;  //Pino de dados d4
int d5 = 4;  //Pino de dados d5
int d6 = 3;  //Pino de dados d6 
int d7 = 2;  //Pino de dados d7

LiquidCrystal lcd(rs, e, d4, d5, d6, d7);

void setup() 
{
  lcd.begin(16, 2); //LCD de 16 colunas e 2 linhas.

  Serial.begin(9600);
}

void loop() 
{
  if(Serial.available()) //Verifica se há dados vindos pela serial para limpar o display.
  {
    delay(100);
    lcd.clear();

    while(Serial.available() > 0) //Enquanto houver dados. Irá colocando caractere por caractere no display.
    {
      lcd.write(Serial.read()); //Escreve o caractere no display.
    }
  }
}
